class KIconView

# class KIconView | A variant of QIconView that honors KDE's system-wide settings. More...
Definition | `#include <kiconview.h>`
Inherits | QIconView (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Mode { Execute, Select }

#### Public Methods

- KIconView ( QWidget *parent = 0, const char *name = 0, WFlags f = 0 )
- ~KIconView ()
- void setMode ( Mode m )
- Mode mode () const
- virtual void setFont ( const QFont & )

#### Signals

- void executed ( QIconViewItem *item )
- void executed ( QIconViewItem *item, const QPoint &pos )
- void doubleClicked ( QIconViewItem *item, const QPoint &pos )

#### Protected Methods

- void emitExecute ( QIconViewItem *item, const QPoint &pos )
- virtual void focusOutEvent ( QFocusEvent *fe )
- virtual void leaveEvent ( QEvent *e )
- virtual void contentsMousePressEvent ( QMouseEvent *e )
- virtual void contentsMouseDoubleClickEvent ( QMouseEvent * e )
- virtual void contentsMouseReleaseEvent ( QMouseEvent *e )
- virtual void virtual_hook ( int id, void* data )

#### Protected Slots

- void slotOnItem ( QIconViewItem *item )
- void slotOnViewport ()
- void slotSettingsChanged (int)
- void slotAutoSelect ()

## Detailed Description

This Widget extends the functionality of QIconView to honor the system wide settings for Single Click/Double Click mode, Auto Selection and Change Cursor over Link.

There is a new signal executed(). It gets connected to either QIconView::clicked() or QIconView::doubleClicked() depending on the KDE wide Single Click/Double Click settings. It is strongly recomended that you use this signal instead of the above mentioned. This way you donīt need to care about the current settings. If you want to get informed when the user selects something connect to the QIconView::selectionChanged() signal.

KIconView ( QWidget *parent = 0, const char *name = 0, WFlags f = 0 ) | ### KIconView

~KIconView () | ### ~KIconView

enum Mode { Execute, Select } | ### Mode

KIconView has two different operating modes. Execute mode is depending on the configuration of single-click or double-click where the signal executed() will be emitted upon click/double-click. In Select mode, this signal will not be emitted.

Default is Execute mode.

void setMode ( Mode m ) | ### setMode

Sets the mode to Execute or Select.

- In Execute mode, the signal executed() will be emitted when the user clicks/double-clicks an item.
- Select mode is the normal QIconView mode.

Default is Execute.

Mode mode () | ### mode

[const]

Returns: the current Mode, either Execute or Select.

void setFont ( const QFont & ) | ### setFont

[virtual]

Reimplemented for internal purposes

void executed ( QIconViewItem *item ) | ### executed

[signal]

This signal is emitted whenever the user executes an iconview item. That means depending on the KDE wide Single Click/Double Click setting the user clicked or double clicked on that item.

Note that you may not delete any QIconViewItem objects in slots connected to this signal.

Parameters:

item | is the pointer to the executed iconview item.

void executed ( QIconViewItem *item, const QPoint &pos ) | ### executed

[signal]

This signal is emitted whenever the user executes an iconview item. That means depending on the KDE wide Single Click/Double Click setting the user clicked or double clicked on that item.

Note that you may not delete any QIconViewItem objects in slots connected to this signal.

Parameters:

item | is the pointer to the executed iconview item.
pos | is the position where the user has clicked

void doubleClicked ( QIconViewItem *item, const QPoint &pos ) | ### doubleClicked

[signal]

This signal gets emitted whenever the user double clicks into the iconview.

Note that you may not delete any QIconViewItem objects in slots connected to this signal.

This signal is more or less here for the sake of completeness. You should normally not need to use this. In most cases itīs better to use executed() instead.

Parameters:

item | is the pointer to the clicked iconview item.
pos | is the position where the user has clicked, and

Reimplemented from QIconView.

void slotOnItem ( QIconViewItem *item ) | ### slotOnItem

[protected slots slot]

void slotOnViewport () | ### slotOnViewport

[protected slots slot]

void slotSettingsChanged (int) | ### slotSettingsChanged

[protected slots slot]

void slotAutoSelect () | ### slotAutoSelect

[protected slots slot]

Auto selection happend.

void emitExecute ( QIconViewItem *item, const QPoint &pos ) | ### emitExecute

[protected]

void focusOutEvent ( QFocusEvent *fe ) | ### focusOutEvent

[protected virtual]

void leaveEvent ( QEvent *e ) | ### leaveEvent

[protected virtual]

void contentsMousePressEvent ( QMouseEvent *e ) | ### contentsMousePressEvent

[protected virtual]

void contentsMouseDoubleClickEvent ( QMouseEvent * e ) | ### contentsMouseDoubleClickEvent

[protected virtual]

void contentsMouseReleaseEvent ( QMouseEvent *e ) | ### contentsMouseReleaseEvent

[protected virtual]

void virtual_hook ( int id, void* data ) | ### virtual_hook

[protected virtual]

Generated by: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:37 2003, using kdoc 2.0a54.